/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.abricot.client.gui;

import org.cocktail.client.common.utilities.CocktailIcones;

/**
 *
 * @author  cpinsard
 */
public class SuperviseurView extends javax.swing.JFrame {

	private static final long serialVersionUID = -4217575859294104701L;
	public static SuperviseurView sharedInstance;

    /** Creates new form SuperviseurView */
    public SuperviseurView() {
        
        initComponents();
        
        initGui();
        
    }

    public static SuperviseurView sharedInstance()	{
    	if (sharedInstance == null)	
    		sharedInstance = new SuperviseurView();
    	return sharedInstance;
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnDepenses = new javax.swing.JButton();
        jTextField1 = new javax.swing.JTextField();
        jTextField2 = new javax.swing.JTextField();
        btnPrestations = new javax.swing.JButton();
        jTextField3 = new javax.swing.JTextField();
        btnPayes = new javax.swing.JButton();
        jTextField4 = new javax.swing.JTextField();
        btnRejets = new javax.swing.JButton();
        jTextField5 = new javax.swing.JTextField();
        btnImpressions = new javax.swing.JButton();
        jTextField6 = new javax.swing.JTextField();
        btnQuitter = new javax.swing.JButton();
        btnIcone = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        tfExercice = new javax.swing.JTextField();
        btnGetExercice = new javax.swing.JButton();
        lblVersion = new javax.swing.JLabel();
        btnTitres = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Gestion des bordereaux");
        setBackground(new java.awt.Color(255, 255, 255));
        setResizable(false);

        btnDepenses.setText("Bordereaux de Dépenses");
        btnDepenses.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        btnDepenses.setHorizontalTextPosition(javax.swing.SwingConstants.RIGHT);
        btnDepenses.setIconTextGap(6);
        btnDepenses.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnDepensesActionPerformed(evt);
            }
        });

        jTextField1.setBackground(new java.awt.Color(51, 255, 255));
        jTextField1.setEditable(false);
        jTextField1.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        jTextField1.setEnabled(false);
        jTextField1.setFocusable(false);

        jTextField2.setBackground(new java.awt.Color(255, 153, 153));
        jTextField2.setEditable(false);
        jTextField2.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        jTextField2.setFocusable(false);

        btnPrestations.setText("Bordereaux de Prestations Internes");
        btnPrestations.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        btnPrestations.setIconTextGap(6);

        jTextField3.setBackground(new java.awt.Color(102, 255, 0));
        jTextField3.setEditable(false);
        jTextField3.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        jTextField3.setFocusable(false);

        btnPayes.setText("Bordereaux de Paye");
        btnPayes.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        btnPayes.setIconTextGap(6);

        jTextField4.setBackground(new java.awt.Color(204, 204, 204));
        jTextField4.setEditable(false);
        jTextField4.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        jTextField4.setFocusable(false);

        btnRejets.setText("Visa des Bordereaux de rejet");
        btnRejets.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        btnRejets.setIconTextGap(6);

        jTextField5.setBackground(new java.awt.Color(153, 153, 255));
        jTextField5.setEditable(false);
        jTextField5.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        jTextField5.setFocusable(false);

        btnImpressions.setText("Impressions");
        btnImpressions.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        btnImpressions.setIconTextGap(6);

        jTextField6.setBackground(new java.awt.Color(255, 255, 51));
        jTextField6.setEditable(false);
        jTextField6.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        jTextField6.setFocusable(false);

        btnQuitter.setText("Quitter");

        btnIcone.setBorderPainted(false);
        btnIcone.setContentAreaFilled(false);
        btnIcone.setFocusPainted(false);

        jLabel1.setText("EXERCICE : ");

        //tfExercice.setBackground(new java.awt.Color(102, 102, 102));
        tfExercice.setEditable(false);
        tfExercice.setFont(new java.awt.Font("Tahoma", 0, 14));
        //tfExercice.setForeground(new java.awt.Color(255, 255, 255));
        tfExercice.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfExercice.setText("2011");
        tfExercice.setFocusable(false);

        btnGetExercice.setFocusPainted(false);
        btnGetExercice.setFocusable(false);

        lblVersion.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
        lblVersion.setForeground(new java.awt.Color(153, 153, 153));
        lblVersion.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblVersion.setText("jLabel2");

        btnTitres.setText("Bordereaux de Titres");
        btnTitres.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        btnTitres.setIconTextGap(6);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(29, 29, 29)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnIcone, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 370, Short.MAX_VALUE)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(jTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnImpressions, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 300, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(jTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnRejets, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 300, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(jTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnPayes, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 300, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(jTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnPrestations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 300, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnTitres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 300, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnDepenses, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 300, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, lblVersion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 336, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnQuitter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 114, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(24, 24, 24)))
                        .add(6, 6, 6))
                    .add(layout.createSequentialGroup()
                        .add(92, 92, 92)
                        .add(jLabel1)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfExercice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 105, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetExercice)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(btnIcone, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 105, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(17, 17, 17)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnGetExercice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel1)
                        .add(tfExercice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(36, 36, 36)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE, false)
                    .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnDepenses))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE, false)
                    .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnTitres))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(layout.createSequentialGroup()
                        .add(51, 51, 51)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE, false)
                            .add(jTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnPayes))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE, false)
                            .add(jTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnRejets))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE, false)
                            .add(jTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnImpressions)))
                    .add(layout.createSequentialGroup()
                        .add(13, 13, 13)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE, false)
                            .add(jTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnPrestations))))
                .add(18, 18, 18)
                .add(lblVersion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(31, 31, 31)
                .add(btnQuitter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(52, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-421)/2, (screenSize.height-575)/2, 421, 575);
    }// </editor-fold>//GEN-END:initComponents

    private void btnDepensesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnDepensesActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnDepensesActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new SuperviseurView().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnDepenses;
    private javax.swing.JButton btnGetExercice;
    private javax.swing.JButton btnIcone;
    private javax.swing.JButton btnImpressions;
    private javax.swing.JButton btnPayes;
    private javax.swing.JButton btnPrestations;
    private javax.swing.JButton btnQuitter;
    private javax.swing.JButton btnRejets;
    private javax.swing.JButton btnTitres;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JTextField jTextField3;
    private javax.swing.JTextField jTextField4;
    private javax.swing.JTextField jTextField5;
    private javax.swing.JTextField jTextField6;
    private javax.swing.JLabel lblVersion;
    private javax.swing.JTextField tfExercice;
    // End of variables declaration//GEN-END:variables

    
    private void initGui() {

    	btnGetExercice.setIcon(CocktailIcones.ICON_SELECT_16);

    	btnIcone.setIcon(CocktailIcones.ICON_APP_LOGO);

    	btnDepenses.setIcon(CocktailIcones.ICON_CONNECT_WIZ);
    	    	
    	btnTitres.setIcon(CocktailIcones.ICON_CONNECT_WIZ);

    	btnPrestations.setIcon(CocktailIcones.ICON_CONNECT_WIZ);

    	btnPayes.setIcon(CocktailIcones.ICON_CONNECT_WIZ);

    	btnImpressions.setIcon(CocktailIcones.ICON_PRINTER_16);

    	btnRejets.setIcon(CocktailIcones.ICON_PARAMS_16);

    	btnQuitter.setIcon(CocktailIcones.ICON_EXIT_16);

    }

	public javax.swing.JButton getBtnDepenses() {
		return btnDepenses;
	}

	public void setBtnDepenses(javax.swing.JButton btnDepenses) {
		this.btnDepenses = btnDepenses;
	}

	public javax.swing.JButton getBtnIcone() {
		return btnIcone;
	}

	public void setBtnIcone(javax.swing.JButton btnIcone) {
		this.btnIcone = btnIcone;
	}

	public javax.swing.JButton getBtnGetExercice() {
		return btnGetExercice;
	}

	public void setBtnGetExercice(javax.swing.JButton btnGetExercice) {
		this.btnGetExercice = btnGetExercice;
	}

	public javax.swing.JTextField getTfExercice() {
		return tfExercice;
	}

	public void setTfExercice(javax.swing.JTextField tfExercice) {
		this.tfExercice = tfExercice;
	}

	public javax.swing.JButton getBtnImpressions() {
		return btnImpressions;
	}

	public void setBtnImpressions(javax.swing.JButton btnImpressions) {
		this.btnImpressions = btnImpressions;
	}

	public javax.swing.JButton getBtnPayes() {
		return btnPayes;
	}

	public void setBtnPayes(javax.swing.JButton btnPayes) {
		this.btnPayes = btnPayes;
	}

	public javax.swing.JButton getBtnPrestations() {
		return btnPrestations;
	}

	public void setBtnPrestations(javax.swing.JButton btnPrestations) {
		this.btnPrestations = btnPrestations;
	}

	public javax.swing.JButton getBtnQuitter() {
		return btnQuitter;
	}

	public void setBtnQuitter(javax.swing.JButton btnQuitter) {
		this.btnQuitter = btnQuitter;
	}

	public javax.swing.JButton getBtnRejets() {
		return btnRejets;
	}

	public void setBtnRejets(javax.swing.JButton btnRejets) {
		this.btnRejets = btnRejets;
	}

	public javax.swing.JButton getBtnTitres() {
		return btnTitres;
	}

	public void setBtnTitres(javax.swing.JButton btnTitres) {
		this.btnTitres = btnTitres;
	}

	public javax.swing.JLabel getLblVersion() {
		return lblVersion;
	}

	public void setLblVersion(javax.swing.JLabel lblVersion) {
		this.lblVersion = lblVersion;
	}
    
    
    
}
